org.apache.tinkerpop.gremlin.structure.io.graphson

## Enum TypeInfo

- java.lang.Object
- - java.lang.Enum<TypeInfo>
  - - org.apache.tinkerpop.gremlin.structure.io.graphson.TypeInfo

- All Implemented Interfaces:
    Serializable, Comparable<TypeInfo>

      public enum TypeInfo
      extends Enum<TypeInfo>

  Defines how data types are handled in GraphSON through the `GraphSONMapper`.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO_TYPES`
    `PARTIAL_TYPES`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TypeInfo` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TypeInfo[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_TYPES

          public static final TypeInfo NO_TYPES

    - #### PARTIAL_TYPES

          public static final TypeInfo PARTIAL_TYPES

  - ### Method Detail

    - #### values

          public static TypeInfo[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TypeInfo c : TypeInfo.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TypeInfo valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.